Skip to content

Get pending notifications for user

GET
/notifications/me
curl --request GET \
--url 'https://api.ethos.network/api/v2/notifications/me?limit=50&offset=0' \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>'
limit
integer
default: 50 <= 50
offset
integer
0 <= 2147483647

Successful response

Media typeapplication/json
object
values
required
Array
object
One of:
object
type
required
string
Allowed value: ANNOUNCEMENT
hydrated
required
null
id
required
number
> 0
date
required
string
One of:
object
type
required
string
Allowed value: ANNOUNCEMENT
data
required
object
body
required
string
entityId
required
number
> 0
imageUrl
string
title
required
string
url
string
total
required
number
limit
required
number
offset
required
number

Example

{
"values": [
{
"type": "ANNOUNCEMENT"
}
]
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}